Bug 41113 - Problem with gnorpm upgrade
Problem with gnorpm upgrade
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-17 12:08 EDT by Giox
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-17 12:08:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Giox 2001-05-17 12:08:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.61 [en] (X11; I; Linux 2.2.12-20 i686)

Description of problem:
After upgrading RPM to version rpm-4.0.2-6x i have tryed to upgrade gnorpm:
        rpm -Fvh gnorpm-0.95.1-6.6x.i386.rpm
but i recive the following message:
        error: failed dependencies: /etc/pam.d/system-auth is needed by
When I try to use gnorpm i get the following error:
error in loading shared libraries: /usr/lib/librpm.so.0: undefined symbol:

How reproducible:

Steps to Reproduce:
1.Upgrade RPM to version 4.0.2-6x
2.Try to upgrade gnorpm to version 0.95.1-6.6x

Additional info:
Comment 1 Jeff Johnson 2001-05-21 09:23:14 EDT
The file /etc/pam.d/system-auth should be in the pam-0.72-20.6.x package.

Yes, you will see the undefined symbol if you use the old gnorpm, that's
what the new package fixes. Upgrade gnorpm from the command line.

Note You need to log in before you can comment on or make changes to this bug.